Bug 64527

Summary: [Qt]Update layout test results for newer Qt 4.8.x
Product: WebKit Reporter: Csaba Osztrogonác <ossy>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: ademar, ossy
Priority: P2 Keywords: Qt, QtTriaged
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
diff1
none
diff2
none
update expected files for QtWebKit 2.2 branch none

Description Csaba Osztrogonác 2011-07-14 06:29:28 PDT
On the 4.8 buildbots (trunk and 2.2 branch) there are an old Qt 4.8 revision:
Qt 4.8 branch (Thu Jun 2 01:49:48 2011) 408a522ffa25106334c3b29a4799e0d0a1719291

Unfortunately because of 429f0507a68f4aa686449308af770ce5cf2c913f (Qt 4.8 branch):
http://qt.gitorious.org/qt/qt/commit/429f0507a68f4aa686449308af770ce5cf2c913f
we have to update ~500 layout test results to make buildbots happy.
Comment 1 Csaba Osztrogonác 2011-07-14 06:41:19 PDT
Additionally svg/text/lengthAdjust-text-metrics.html fails, and 
http/tests/security/cross-frame-access-put.html fails if we run
all tests, but pass if we run only this test.
Comment 2 Csaba Osztrogonác 2011-07-14 06:47:14 PDT
Created attachment 100800 [details]
diff1
Comment 3 Csaba Osztrogonác 2011-07-14 06:48:23 PDT
Created attachment 100801 [details]
diff2
Comment 4 Csaba Osztrogonác 2011-07-14 07:51:14 PDT
Update for trunk landed in http://trac.webkit.org/changeset/91000 .
We need similar update for 2.2 branch to be able update Qt 4.8.x on it.
Comment 5 Csaba Osztrogonác 2011-07-26 05:34:50 PDT
I updated Qt to 4.8.0 beta1 on the trunk bot, but I can't do it for 2.2 branch bot until somebody do the rebaseline.
Comment 6 Csaba Osztrogonác 2011-07-27 09:08:02 PDT
After https://trac.webkit.org/changeset/91766 we migrate Qt-WK2 tester bot to Qt5, it needs similar rebaseline.
Comment 7 Csaba Osztrogonác 2011-09-08 04:52:53 PDT
Created attachment 106724 [details]
update expected files for QtWebKit 2.2 branch

This patch adds 504 Qt 4.8 specific expected results 
for QtWebKit 2.2 branch, and skip the failing svg test.

(I had to zip it, because I can't upload 4Mb sized patch.)
Comment 8 Csaba Osztrogonác 2011-09-08 04:54:19 PDT
It should block QtWebKit 2.2 release, because https://bugs.webkit.org/attachment.cgi?id=106724 should be pushed into the 2.2 branch.
Comment 9 Ademar Reis 2011-09-09 08:00:51 PDT
2.2 has been updated with Ossy's patch:

https://gitorious.org/+qtwebkit-developers/webkit/qtwebkit/commit/f433312b5ffbc21bc6bd72cc8c12f40a572f6067
Comment 10 Csaba Osztrogonác 2011-12-19 14:41:02 PST
Unskipped for qt-wk2 too: http://trac.webkit.org/changeset/103266